[arch-commits] Commit in wvstreams/trunk (PKGBUILD)

Allan McRae allan at archlinux.org
Fri Jun 19 13:01:30 UTC 2009


    Date: Friday, June 19, 2009 @ 09:01:30
  Author: allan
Revision: 43065

update PKGBUILD to latest version, fix some (not all) build issues

Modified:
  wvstreams/trunk/PKGBUILD

----------+
 PKGBUILD |   27 ++++++++++++---------------
 1 file changed, 12 insertions(+), 15 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-19 12:06:51 UTC (rev 43064)
+++ PKGBUILD	2009-06-19 13:01:30 UTC (rev 43065)
@@ -1,26 +1,23 @@
 # $Id$
 # Maintainer: dorphell <dorphell at archlinux.org>
+
 pkgname=wvstreams
-pkgver=4.4.1
-pkgrel=3
+pkgver=4.6
+pkgrel=1
 pkgdesc="A network programming library written in C++"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://alumnit.ca/wiki/?page=WvStreams"
 license=('LGPL')
 depends=('zlib' 'pam' 'xplc' "openssl>=0.9.8f" 'readline')
-source=(http://wvstreams.googlecode.com/files/${pkgname}-${pkgver}.tar.gz
-	gcc-4.3.patch)
-md5sums=('907b0cba8931553d848620ea16f006b9' '004949f9b334fefa844eee704159d3f4')
+source=(http://wvstreams.googlecode.com/files/${pkgname}-${pkgver}.tar.gz)
+md5sums=('4ee8ccfe6dfc29bf952d58fa23626c97')
+options=('!makeflags')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  if [ "$CARCH" = "x86_64" ]; then
-    export CFLAGS="$CFLAGS -fPIC"
-  fi
-  patch -Np1 -i ${startdir}/src/gcc-4.3.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-    --without-gtk --without-vorbis --without-qt \
-    --without-swig --with-openssl  || return 1
-  make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+     --with-dbus=yes --with-pam --with-openssl --without-tcl \
+     --without-qt || return 1
+  make COPTS="$CFLAGS -fPIC" CXXOPTS="$CXXFLAGS -fPIC -fpermissive" VERBOSE=1 || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }




More information about the arch-commits mailing list